﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.ComponentModel;

namespace DataGridGroupingUpdated
{
    public partial class MainPage : UserControl
    {
        PagedCollectionView pcv = null;

        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            pcv = new PagedCollectionView(People.GetPeople());
            pcv.GroupDescriptions.Add(new PropertyGroupDescription("AgeGroup"));

            PeopleList.ItemsSource = pcv;
        }

        private void GroupNames_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (pcv != null)
            {
                // comment this next line out to see
                // adding additional groupings.
                pcv.GroupDescriptions.Clear();
                ComboBoxItem itm = (ComboBoxItem)GroupNames.SelectedItem;
                pcv.GroupDescriptions.Add(new PropertyGroupDescription(itm.Content.ToString()));
            }
        }
    }
}
